(TeX-add-style-hook
 "xxx"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("report" "a4paper" "")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1") ("inputenc" "utf8") ("geometry" "margin=2cm")))
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (TeX-run-style-hooks
    "latex2e"
    "report"
    "rep10"
    "graphicx"
    "lmodern"
    "amssymb"
    "amsmath"
    "ifxetex"
    "ifluatex"
    "fixltx2e"
    "fontenc"
    "inputenc"
    "textcomp"
    "unicode-math"
    "upquote"
    "microtype"
    "parskip"
    "xcolor"
    "hyperref"
    "geometry"
    "longtable"
    "booktabs"
    "footnote"
    "grffile"
    "upgreek")
   (TeX-add-symbols
    '("institute" 1)
    "tightlist"
    "maxwidth"
    "maxheight"
    "oldparagraph"
    "oldsubparagraph")
   (LaTeX-add-labels
    "introduction"
    "what-is-an-ontology"
    "primitive-elements-in-emmo"
    "individuals"
    "classes"
    "axioms"
    "theoretical-foundations"
    "semiotics"
    "mereotopology"
    "physics"
    "metrology"
    "description-logic"
    "examples"
    "equivalence-owlequivalentto"
    "inclusion-rdfsubclassof"
    "enumeration-owloneof"
    "existential-restriction-owlsomevaluesfrom"
    "universal-restriction-owlallvaluesfrom"
    "value-restriction-owlhasvalue"
    "property-cardinality-owlcardinality"
    "intersection-owlintersectionof"
    "union-owlunionof"
    "complement-owlcomplementof"
    "the-structure-of-emmo"
    "top-level"
    "middle-level"
    "emmo-relations"
    "annotations"
    "emmo-relations-1"
    "root-of-emmo-relations"
    "emmorelation"
    "mereotopological-branch"
    "mereotopological"
    "disconnected"
    "connected-branch"
    "hasoverlapwith"
    "overcrosses"
    "connected"
    "encloses"
    "hascontactwith"
    "has-part-branch"
    "haspart"
    "hasspatiotemporaldirectpart"
    "hastemporaldirectpart"
    "hasmember"
    "hastemporalpart"
    "hasspatialpart"
    "hasreferenceunit"
    "hasspatiotemporalpart"
    "hasproperpart"
    "hasspatialdirectpart"
    "hasquantityvalue"
    "hasparticipant"
    "hasproperparticipant"
    "semiotical-branch"
    "hasproperty"
    "hasphysicsdimension"
    "hasicon"
    "hasindex"
    "hassign"
    "hasconvention"
    "hasmodel"
    "semiotical"
    "hasvariable"
    "hasinterpretant"
    "emmo-classes"
    "emmo-branch"
    "quantum"
    "item"
    "void"
    "physical"
    "emmo"
    "collection"
    "elementary-branch"
    "elementary"
    "perspective-branch"
    "perspective"
    "holistic-branch"
    "holistic"
    "participant"
    "component"
    "engineered"
    "system"
    "semiotic-branch"
    "semiotic"
    "sign-branch"
    "interpretant"
    "specialunit"
    "sign"
    "index"
    "interpreter-branch"
    "interpreter"
    "measurementinstrument"
    "observer"
    "object-branch"
    "object"
    "siunitsymbol"
    "conventional-branch"
    "parameter"
    "theory"
    "variable"
    "conventional"
    "materiallaw"
    "naturallaw"
    "physicallaw"
    "unknown"
    "constant"
    "property-branch"
    "objectiveproperty"
    "property"
    "nominalproperty"
    "modelledquantitativeproperty"
    "subjectiveproperty"
    "conventionalquantitativeproperty"
    "measuredquantitativeproperty"
    "quantitativeproperty"
    "icon-branch"
    "model"
    "icon"
    "process-branch"
    "measurement"
    "theorization"
    "manufacturing"
    "observation"
    "physicalphenomenon"
    "semiosis"
    "experiment"
    "process"
    "perceptual-branch"
    "acoustical"
    "speech"
    "music"
    "noise"
    "perceptual"
    "graphical-branch"
    "symboliccomposition"
    "string"
    "pictorial"
    "graphical"
    "language"
    "symbolic"
    "geometrical-branch"
    "manifold"
    "manifold-1"
    "circle"
    "manifold-2"
    "line"
    "point"
    "geometrical"
    "torus"
    "plane"
    "euclideanspace"
    "manifold-3"
    "curve"
    "sphere"
    "symbol-branch"
    "metrologicalsymbol"
    "unitone"
    "baseunit"
    "specialunit-1"
    "unitsymbol"
    "symbol"
    "siunitsymbol-1"
    "mathematical-branch"
    "parameter-1"
    "vector"
    "variable-1"
    "array"
    "mathematical"
    "matrix"
    "numerical"
    "unknown-1"
    "constant-1"
    "mathematical-symbol-branch"
    "mathematicalsymbol"
    "equals"
    "mathematical-model-branch"
    "continuummodel"
    "databasedmodel"
    "atomisticmodel"
    "physicsequation"
    "physicsbasedmodel"
    "electronicmodel"
    "mathematicalmodel"
    "mesoscopicmodel"
    "mathematical-operator-branch"
    "minus"
    "mathematicaloperator"
    "algebricoperator"
    "multiplication"
    "plus"
    "gradient"
    "laplacian"
    "division"
    "exponent"
    "differentialoperator"
    "arithmeticoperator"
    "metrological-branch"
    "standardunit"
    "metrologicalsymbol-1"
    "baseunit-1"
    "metrological"
    "unitsymbol-1"
    "referenceunit"
    "unitone-1"
    "specialunit-2"
    "procedureunit"
    "siunitsymbol-2"
    "physics-dimension-branch"
    "lengthpertimedimension"
    "amountdimension"
    "masssquarelengthpersquaretimedimension"
    "timedimension"
    "masssquarelengthpercubictimecurrentdimension"
    "masssquarelengthpercubictimedimension"
    "dimensionone"
    "electriccurrentdimension"
    "luminousintensitydimension"
    "masslengthpersquaretimedimension"
    "luminousintensitypersquarelengthdimension"
    "massperlengthsquaretimedimension"
    "pertimedimension"
    "luminousintensitycubictimepermasslengthdimension"
    "lengthdimension"
    "masspersquaretimecurrentdimension"
    "squarelengthpersquaretimedimension"
    "quartictimesquarecurrentpermasssquarelengthdimension"
    "masssquarelengthpersquaretimesquarecurrentdimension"
    "masssquarelengthpersquaretimecurrentdimension"
    "peramountdimension"
    "temperaturedimension"
    "timecurrentdimension"
    "cubictimesquarecurrentpermasssquarelengthdimension"
    "masssquarelengthpertemperaturesquaretimedimension"
    "massdimension"
    "masssquarelengthpertimedimension"
    "amountpertimedimension"
    "physicsdimension"
    "masssquarelengthpercubictimesquarecurrentdimension"
    "physical-quantity-branch"
    "hyperfinetransitionfrequencyofcs"
    "celsiustemperature"
    "solidangle"
    "physicalquantity"
    "electricconductance"
    "electriccurrent"
    "angle"
    "luminousflux"
    "catalyticactivity"
    "absorbeddose"
    "isqderivedquantity"
    "time"
    "electriccharge"
    "isqbasequantity"
    "mass"
    "illuminance"
    "doseequivalent"
    "energy"
    "elementarycharge"
    "electricresistance"
    "pressure"
    "magneticflux"
    "magneticfluxdensity"
    "inductance"
    "force"
    "radioactivity"
    "length"
    "power"
    "luminousintensity"
    "frequency"
    "electricpotential"
    "thermodynamictemperature"
    "amountofsubstance"
    "capacitance"
    "internationalsystemofquantity"
    "number-branch"
    "boolean"
    "number"
    "real"
    "integer"
    "measurement-unit-branch"
    "sicoherentderivedunit"
    "siprefixedunit"
    "baseunit-2"
    "unitsymbol-2"
    "sinoncoherentunit"
    "sicoherentunit"
    "measurementunit"
    "derivedunit"
    "sinoncoherentderivedunit"
    "siunit"
    "nonprefixedunit"
    "unitone-2"
    "specialunit-3"
    "offsystemunit"
    "siunitsymbol-3"
    "utf8-branch"
    "milli"
    "ampere"
    "space"
    "atto"
    "latincapitallettera"
    "latinsmalllettera"
    "greeksmalllettermu"
    "micro"
    "metre"
    "utf8"
    "latinsmallletterm"
    "microunit"
    "si-base-unit-branch"
    "kilogram"
    "ampere-1"
    "metre-1"
    "second"
    "candela"
    "mole"
    "kelvin"
    "sibaseunit"
    "si-special-unit-branch"
    "becquerel"
    "weber"
    "farad"
    "steradian"
    "radian"
    "henry"
    "degreecelsius"
    "gray"
    "coulomb"
    "hertz"
    "sispecialunit"
    "newton"
    "sievert"
    "siemens"
    "lux"
    "tesla"
    "lumen"
    "joule"
    "katal"
    "ohm"
    "watt"
    "volt"
    "pascal"
    "prefixed-unit-branch"
    "multipleunit"
    "siprefixedunit-1"
    "submultipleunit"
    "prefixedunit"
    "metric-prefix-branch"
    "pico"
    "nano"
    "milli-1"
    "simetricprefix"
    "zepto"
    "metricprefix"
    "centi"
    "kilo"
    "tera"
    "micro-1"
    "deci"
    "mega"
    "femto"
    "yotta"
    "deka"
    "zetta"
    "peta"
    "atto-1"
    "exa"
    "yocto"
    "giga"
    "hecto"
    "quantity-branch"
    "quantitativeproperty-1"
    "ordinalquantity"
    "quantity"
    "conventionalquantitativeproperty-1"
    "measuredquantitativeproperty-1"
    "modelledquantitativeproperty-1"
    "base-quantity-branch"
    "luminousintensity-1"
    "isqbasequantity-1"
    "electriccurrent-1"
    "basequantity"
    "thermodynamictemperature-1"
    "amountofsubstance-1"
    "mass-1"
    "time-1"
    "length-1"
    "derived-quantity-branch"
    "hyperfinetransitionfrequencyofcs-1"
    "pressure-1"
    "celsiustemperature-1"
    "solidangle-1"
    "electricconductance-1"
    "magneticflux-1"
    "magneticfluxdensity-1"
    "inductance-1"
    "angle-1"
    "force-1"
    "catalyticactivity-1"
    "absorbeddose-1"
    "isqderivedquantity-1"
    "luminousflux-1"
    "radioactivity-1"
    "electriccharge-1"
    "power-1"
    "frequency-1"
    "electricpotential-1"
    "energy-1"
    "capacitance-1"
    "illuminance-1"
    "derivedquantity"
    "doseequivalent-1"
    "elementarycharge-1"
    "electricresistance-1"
    "physical-constant-branch"
    "exactconstant"
    "luminousefficacy"
    "hyperfinetransitionfrequencyofcs-2"
    "avogadroconstant"
    "boltzmannconstant"
    "siexactconstant"
    "speedoflightinvacuum"
    "measuredconstant"
    "physicalconstant"
    "planckconstant"
    "elementarycharge-2"
    "reductionistic-branch"
    "symboliccomposition-1"
    "string-1"
    "existent"
    "reductionistic"
    "state"
    "expression-branch"
    "expression"
    "polynomial"
    "algebricexpression"
    "arithmeticexpression"
    "formula-branch"
    "materialrelation"
    "algebricequation"
    "definingequation"
    "functiondefinition"
    "physicsequation-1"
    "equation"
    "arithmeticequation"
    "formula"
    "inequality"
    "physicalistic-branch"
    "material"
    "field"
    "vacuum"
    "matter"
    "physicalistic"
    "elementary-particle-branch"
    "photon"
    "graviton"
    "massless"
    "elementaryparticle"
    "gluon"
    "quark"
    "electron"
    "massive"
    "material-state-branch"
    "continuum"
    "fluid"
    "standaloneatom"
    "bondedatom"
    "materialstate"
    "atom"
    "molecule"
    "ionatom"
    "solid"
    "neutralatom"
    "subatomic-branch"
    "nucleon"
    "nucleus"
    "electroncloud"
    "neutron"
    "subatomic"
    "proton"
    "individuals-1"
    "universe"
    "a"
    "b"
    "appendix"
    "the-complete-taxonomy-of-emmo-relations"
    "the-complete-taxonomy-of-emmo-classes"))
 :latex)

